# VmSnapshotConfig

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**DestinationUrl** | Pointer to **string** |  | [optional] 

## Methods

### NewVmSnapshotConfig

`func NewVmSnapshotConfig() *VmSnapshotConfig`

NewVmSnapshotConfig instantiates a new VmSnapshotConfig object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewVmSnapshotConfigWithDefaults

`func NewVmSnapshotConfigWithDefaults() *VmSnapshotConfig`

NewVmSnapshotConfigWithDefaults instantiates a new VmSnapshotConfig object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetDestinationUrl

`func (o *VmSnapshotConfig) GetDestinationUrl() string`

GetDestinationUrl returns the DestinationUrl field if non-nil, zero value otherwise.

### GetDestinationUrlOk

`func (o *VmSnapshotConfig) GetDestinationUrlOk() (*string, bool)`

GetDestinationUrlOk returns a tuple with the DestinationUrl field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetDestinationUrl

`func (o *VmSnapshotConfig) SetDestinationUrl(v string)`

SetDestinationUrl sets DestinationUrl field to given value.

### HasDestinationUrl

`func (o *VmSnapshotConfig) HasDestinationUrl() bool`

HasDestinationUrl returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


